Subject: bug#40880: closed (Re: bug#40880: [XFCE]: No webbrowser installed by default)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Aug 2023 10:53:02 +0000

Your bug report

#40880: [XFCE]: No webbrowser installed by default

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40880: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40880
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40880: [XFCE]: No webbrowser installed by default
From: 宋文武 <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked], Jonathan Brielmaier <[email-masked]>
Date: Fri, 25 Aug 2023 18:52:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Rohleder <[email-masked]> writes:

> Hi Jonathan,
>
> Jonathan Brielmaier <[email-masked]> writes:
>> If you install XFCE and you want to start the webbrowser via the bottom
>> line or the Applications menu, you get a dialog "Choose Preferred
>> Application" instead of a launching web browser.
>>
>> That's because no web browser is installed with XFCE.
>
> I think its because you havent choosen a preferred browser, so I think
> xfce behavior is correct here.
>
> If the user wants a webbrowser he needs to install one, I dont think
> there is anything xfce could do here.

Hello, Xfce project doesn't have a web browser (i think it did had
midori years ago, but it seems abandoned), so I think it's reasonable to
leave the choice to users.

Closing, thanks.

Subject: [XFCE]: No webbrowser installed by default
From: Jonathan Brielmaier <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 26 Apr 2020 22:21:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

If you install XFCE and you want to start the webbrowser via the bottom
line or the Applications menu, you get a dialog "Choose Preferred
Application" instead of a launching web browser.

That's because no web browser is installed with XFCE.